//> ===>
//> Title: Prompt Events
//> Author: Truce
//> ===>

registerOutputEvent(GameConnection,"Prompt","list OK/Cancel 0 Yes/No 1\tstring 200 200");
registerInputEvent(fxDTSBrick,"onPromptAccept","Self fxDTSBrick\tPlayer Player\tClient GameConnection\tMiniGame MiniGame");
registerInputEvent(fxDTSBrick,"onPromptDecline","Self fxDTSBrick\tPlayer Player\tClient GameConnection\tMiniGame MiniGame");
function GameConnection::Prompt(%cl,%lst,%str) {
	if(%lst)
		%cmd='MessageBoxYesNo';
	else
		%cmd='MessageBoxOKCancel';
	%cl.promptBrick=$InputTarget_Self;
	commandToClient(%cl,%cmd,"Prompt",%str,'MessageBoxAccept');
}
function fxDTSBrick::onPromptAccept(%obj,%cl) {
	$InputTarget_Self=%obj;
	$InputTarget_Player=%cl.player;
	$InputTarget_Client=%cl;
	%clmg=getMiniGameFromObject(%cl);
	%objmg=getMiniGameFromObject(%obj);
	if($Server::LAN)
		$InputTarget_MiniGame=%clmg;
	else {
		if(%objmg==%clmg)
			$InputTarget_MiniGame=%objmg;
		else
			$InputTarget_MiniGame=0;
	}
	%obj.processInputEvent("onPromptAccept",%cl);
}
function fxDTSBrick::onPromptDecline(%obj,%cl) {
	$InputTarget_Self=%obj;
	$InputTarget_Player=%cl.player;
	$InputTarget_Client=%cl;
	%clmg=getMiniGameFromObject(%cl);
	%objmg=getMiniGameFromObject(%obj);
	if($Server::LAN)
		$InputTarget_MiniGame=%clmg;
	else {
		if(%objmg==%clmg)
			$InputTarget_MiniGame=%objmg;
		else
			$InputTarget_MiniGame=0;
	}
	%obj.processInputEvent("onPromptDecline",%cl);
}
function serverCmdMessageBoxAccept(%cl) {
	if(isObject(%cl.promptBrick))
		%cl.promptBrick.onPromptAccept(%cl);
	%cl.promptBrick="";
}
function serverCmdMessageBoxCancel(%cl) {
	if(isObject(%cl.promptBrick))
		%cl.promptBrick.onPromptDecline(%cl);
	%cl.promptBrick="";
}
function serverCmdMessageBoxNo(%cl) {
	if(isObject(%cl.promptBrick))
		%cl.promptBrick.onPromptDecline(%cl);
	%cl.promptBrick="";
}
